Bug 9678 - utf8 prompt patch
: utf8 prompt patch
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-06-06 11:26 by
Modified: 2007-08-05 15:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-06-06 11:26:27
<morozov/work> Увидишь Джавдета....

michael@michael:~/work/build.stable/home/michael/work/patches/mc/mc-4.6.1/debian/patches$
cat 48_utf8_prompt.patch
--- src/main.c.orig    2006-06-05 21:09:24.000000000 +0700
+++ src/main.c  2006-06-06 02:58:56.000000000 +0700
@@ -699,7 +699,7 @@
       int prompt_len;

       prompt = strip_ctrl_codes (subshell_prompt);
-      prompt_len = strlen (prompt);
+      prompt_len = mbstrlen (prompt);

       /* Check for prompts too big */
       if (COLS > 8 && prompt_len > COLS - 8) {



Expected Results:  
PS: могу забрать, если тебе влом.
------- Comment #1 From 2006-10-18 16:32:29 -------
Легло на сборку в /i/S/
------- Comment #2 From 2006-10-19 15:13:47 -------
новый маинтейнер
------- Comment #3 From 2006-10-19 15:16:32 -------
fixed